//
//  TGTimeEntry.h
//  TogglService
//
//  Created by Francisco Garza on 1/30/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class TGProject;

@interface TGTimeEntry : NSObject {
@private
    NSString *sessionId;
    NSNumber *duration;
    BOOL isBillable;
    NSDate *startTime;
    NSDate *stopTime;
    NSString *description;
    TGProject *project;
    NSString *entryID;
    NSArray *tagNames;
    BOOL ignoreStartAndStop;
    id representedObject;
}

@property (copy, nonatomic) NSString *sessionId;
@property (retain, nonatomic) NSNumber *duration;
@property (assign, nonatomic) BOOL isBillable;
@property (retain, nonatomic) NSDate *startTime;
@property (retain, nonatomic) NSDate *stopTime;
@property (copy, nonatomic) NSString *description;
@property (retain, nonatomic) TGProject *project;
@property (copy, nonatomic) NSString *entryID;
@property (retain, nonatomic) NSArray *tagNames;
@property (assign, nonatomic) BOOL ignoreStartAndStop;
@property (retain, nonatomic) id representedObject;

+ (TGTimeEntry *)timeEntryWithDictionary:(NSDictionary *)dict;

@end
