//
//  TGProject.h
//  TogglService
//
//  Created by Francisco Garza on 2/1/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

//@class TGWorkspace;

@interface TGProject : NSObject {
    NSString *name;
    BOOL isBillable;
    NSNumber *projectId;
    NSNumber *workspaceId;
    NSNumber *fixedFee;
    NSNumber *hourlyRate;
    BOOL isFixedFee;
    BOOL isPrivate;
    NSString *clientProjectName;
    NSNumber *estimatedWorkHours;
    BOOL autoCalculateEstimatedWorkHours;
}

@property (copy, nonatomic) NSString *name;
@property (assign, nonatomic) BOOL isBillable;
@property (retain, nonatomic) NSNumber *projectId;
@property (retain, nonatomic) NSNumber *workspaceId;
@property (retain, nonatomic) NSNumber *fixedFee;
@property (retain, nonatomic) NSNumber *hourlyRate;
@property (assign, nonatomic) BOOL isFixedFee;
@property (assign, nonatomic) BOOL isPrivate;
@property (copy, nonatomic) NSString *clientProjectName;
@property (retain, nonatomic) NSNumber *estimatedWorkHours;
@property (assign, nonatomic) BOOL autoCalculateEstimatedWorkHours;

+ (TGProject *)projectWithDictionary:(NSDictionary *)dict;

@end
